(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     22018,        521]
NotebookOptionsPosition[     20921,        497]
NotebookOutlinePosition[     21355,        514]
CellTagsIndexPosition[     21312,        511]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.8129932043593683`*^9, 3.8129932123022966`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"5510f48a-d966-4e0a-9acd-733ae3ada581"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"grafo", "=", 
  RowBox[{"Grafo", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a", ",", "b"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"a", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "c"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"b", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "d"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"c", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "e"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"d", ",", "g"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"e", ",", "f"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"f", ",", "g"}], "}"}]}], "}"}], "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Sort", "[", 
  RowBox[{"Sort", "/@", 
   RowBox[{"AristasWolframSystemToCombinatorica", "[", 
    RowBox[{"EdgeList", "[", 
     RowBox[{"GraphComplement", "[", "grafo", "]"}], "]"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"Valencias", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"ResaltarRuta", "[", 
  RowBox[{"grafo", ",", 
   RowBox[{"Partition", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
      "e", ",", "f", ",", "d", ",", "c", ",", "b", ",", "g", ",", "a", ",", 
       "e"}], "}"}], ",", "2", ",", "1"}], "]"}]}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitoHamiltonQ", "[", "grafo", "]"}], "\[IndentingNewLine]", 
 RowBox[{"CircuitosHamilton", "[", 
  RowBox[{"grafo", ",", "3"}], "]"}]}], "Input",
 CellChangeTimes->{{3.812993220355399*^9, 3.812993220716432*^9}, {
  3.8129932831343126`*^9, 3.812993297846098*^9}, {3.8129933322330046`*^9, 
  3.8129933583061733`*^9}, {3.8129934040048847`*^9, 3.812993422725404*^9}, {
  3.8129934796297846`*^9, 3.812993519945956*^9}, {3.812994641270113*^9, 
  3.8129946502016697`*^9}, {3.812995286305739*^9, 3.8129952937317934`*^9}, {
  3.8129953497349567`*^9, 3.812995367170333*^9}, {3.812996188560604*^9, 
  3.8129962144112887`*^9}, {3.812996640185512*^9, 3.8129966547871733`*^9}, {
  3.8129970365995674`*^9, 3.812997094961919*^9}, {3.8130841273109674`*^9, 
  3.813084135040222*^9}, {3.813085427009325*^9, 3.8130854274541674`*^9}, {
  3.813085574118825*^9, 3.813085584733056*^9}, {3.8130858481429358`*^9, 
  3.8130858627207556`*^9}, {3.813086364100769*^9, 3.8130863669775267`*^9}, {
  3.8130871694974895`*^9, 3.8130871796390185`*^9}},
 CellLabel->
  "In[115]:=",ExpressionUUID->"2a26978e-abd9-45c3-b1f4-73e69cba6f72"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`d, $CellContext`e, \
$CellContext`f, $CellContext`g, $CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {2, 7}, {2, 3}, {2, 5}, {
       2, 6}, {7, 3}, {7, 4}, {7, 5}, {3, 4}, {3, 5}, {3, 6}, {4, 5}, {5, 
       6}}}, {ImagePadding -> 10, VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], LineBox[CompressedData["
1:eJxTTMoPSmVmYGAQBGImKD4n5/RymucXe2Hf0/wepz7bd+mdCkh3/2LPAAXo
8g2KO3UN2V/Yr3khcjhr0jV7dHmG/2v3frqVbJ977e2i6d2fMORdTN1XTBJ9
YV+g+H3tvIg3GPJrdkhlScn/s++dsvVM56nHGO5Btx9dHt18dHlC5sPAjE3/
9L61bMHwL7r/0OXR7UeXR7cfw3w0+9HtQzcfXR5dP7p6dPsxzEPTDwDIW/Fo

         "]]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.267966185727278, 1.2368851296385557}, 
          0.021651660966456876], 
         InsetBox["a", 
          Offset[{2, 2}, {1.289617846693735, 1.2585367906050124}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.267432513794946, 0.}, 0.021651660966456876], 
         InsetBox["b", 
          Offset[{2, 2}, {1.289084174761403, 0.021651660966456876}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.750877942374288, 0.35268658686585286}, 
          0.021651660966456876], 
         InsetBox["d", 
          Offset[{2, 2}, {0.7725296033407448, 0.37433824783230973}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.0024237385782156506, 1.1590801586547983}, 
          0.021651660966456876], 
         InsetBox["e", 
          Offset[{2, 2}, {0.024075399544672527, 1.180731819621255}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7526334082300896, 0.8858178518067188}, 
          0.021651660966456876], 
         InsetBox["f", 
          Offset[{2, 2}, {0.7742850691965465, 0.9074695127731757}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8825935501768454, 0.6184739111164547}, 
          0.021651660966456876], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9042452111433024, 0.6401255720829115}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.0801538338407205}, 0.021651660966456876], 
         InsetBox["c", 
          Offset[{2, 2}, {0.021651660966456876, 0.10180549480717738}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813087103964255*^9, {
   3.8130871900789623`*^9, 3.813087210999486*^9}, 3.813087868921376*^9, 
   3.8130883608959665`*^9},
 CellLabel->
  "Out[115]=",ExpressionUUID->"8ce9494d-f1b8-4184-831a-12eef8942de4"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"a", ",", "c"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"b", ",", "e"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"c", ",", "g"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"e", ",", "g"}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813087103964255*^9, {
   3.8130871900789623`*^9, 3.813087210999486*^9}, 3.813087868921376*^9, 
   3.813088360958803*^9},
 CellLabel->
  "Out[116]=",ExpressionUUID->"29094cf1-3cc4-4391-bad4-d3a56f3dc980"],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      StyleBox["\[Null]",
       ShowStringCharacters->False], 
      TagBox[
       StyleBox["a",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["b",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["d",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["e",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["f",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["g",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm], 
      TagBox[
       StyleBox["c",
        StripOnInput->False,
        LineColor->GrayLevel[0],
        FrontFaceColor->GrayLevel[0],
        BackFaceColor->GrayLevel[0],
        GraphicsColor->GrayLevel[0],
        FontColor->GrayLevel[0]],
       HoldForm]},
     {
      TagBox["\<\"Grado o valencia\"\>",
       HoldForm], "5", "5", "6", "4", "6", "4", "4"}
    },
    GridBoxAlignment->{"Columns" -> {{Center}}, "Rows" -> {{Center}}},
    GridBoxDividers->{
     "Columns" -> {False, True, {False}, False}, 
      "Rows" -> {False, True, {False}, False}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[2.0999999999999996`]}, 
        Offset[0.27999999999999997`]}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}}],
   {OutputFormsDump`HeadedRows, OutputFormsDump`HeadedColumns}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$, TableHeadings -> {{"Grado o valencia"}, {
       Style[$CellContext`a, 
        GrayLevel[0]], 
       Style[$CellContext`b, 
        GrayLevel[0]], 
       Style[$CellContext`d, 
        GrayLevel[0]], 
       Style[$CellContext`e, 
        GrayLevel[0]], 
       Style[$CellContext`f, 
        GrayLevel[0]], 
       Style[$CellContext`g, 
        GrayLevel[0]], 
       Style[$CellContext`c, 
        GrayLevel[0]]}}, TableAlignments -> Center]]]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813087103964255*^9, {
   3.8130871900789623`*^9, 3.813087210999486*^9}, 3.813087868921376*^9, 
   3.813088360960797*^9},
 CellLabel->
  "Out[117]//TableForm=",ExpressionUUID->"1b62ba9b-ee50-42d2-9091-\
a263bce67383"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{$CellContext`a, $CellContext`b, $CellContext`d, $CellContext`e, \
$CellContext`f, $CellContext`g, $CellContext`c}, {
      Null, {{1, 2}, {1, 3}, {1, 4}, {1, 5}, {1, 6}, {2, 7}, {2, 3}, {2, 5}, {
       2, 6}, {7, 3}, {7, 4}, {7, 5}, {3, 4}, {3, 5}, {3, 6}, {4, 5}, {5, 
       6}}}, {GraphHighlight -> {
         UndirectedEdge[$CellContext`f, $CellContext`d], 
         UndirectedEdge[$CellContext`e, $CellContext`f], 
         UndirectedEdge[$CellContext`g, $CellContext`a], 
         UndirectedEdge[$CellContext`b, $CellContext`g], 
         UndirectedEdge[$CellContext`d, $CellContext`c], 
         UndirectedEdge[$CellContext`a, $CellContext`e], 
         UndirectedEdge[$CellContext`c, $CellContext`b]}, 
       GraphHighlightStyle -> {"Thick"}, ImagePadding -> 10, 
       VertexLabels -> {"Name"}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], 
        LineBox[{{1.267966185727278, 1.2368851296385557`}, {1.267432513794946,
          0.}}], LineBox[{{1.267966185727278, 1.2368851296385557`}, {
         0.750877942374288, 0.35268658686585286`}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.267966185727278, 1.2368851296385557`}, {
          0.0024237385782156506`, 1.1590801586547983`}}]}, 
        LineBox[{{1.267966185727278, 1.2368851296385557`}, {
         0.7526334082300896, 0.8858178518067188}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.267966185727278, 1.2368851296385557`}, {
          1.8825935501768454`, 0.6184739111164547}}]}, 
        LineBox[{{1.267432513794946, 0.}, {0.750877942374288, 
         0.35268658686585286`}}], 
        LineBox[{{1.267432513794946, 0.}, {0.7526334082300896, 
         0.8858178518067188}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.267432513794946, 0.}, {1.8825935501768454`, 
          0.6184739111164547}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{1.267432513794946, 0.}, {0., 0.0801538338407205}}]}, 
        LineBox[{{0.750877942374288, 0.35268658686585286`}, {
         0.0024237385782156506`, 1.1590801586547983`}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.750877942374288, 0.35268658686585286`}, {
          0.7526334082300896, 0.8858178518067188}}]}, 
        LineBox[{{0.750877942374288, 0.35268658686585286`}, {
         1.8825935501768454`, 0.6184739111164547}}], 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.750877942374288, 0.35268658686585286`}, {0., 
          0.0801538338407205}}]}, 
        {Hue[1, 1, 0.7], Thickness[Large], Opacity[1], 
         LineBox[{{0.0024237385782156506`, 1.1590801586547983`}, {
          0.7526334082300896, 0.8858178518067188}}]}, 
        LineBox[{{0.0024237385782156506`, 1.1590801586547983`}, {0., 
         0.0801538338407205}}], 
        LineBox[{{0.7526334082300896, 0.8858178518067188}, {
         1.8825935501768454`, 0.6184739111164547}}], 
        LineBox[{{0.7526334082300896, 0.8858178518067188}, {0., 
         0.0801538338407205}}]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[
        0.7]}], {
         DiskBox[{1.267966185727278, 1.2368851296385557}, 
          0.021651660966456876], 
         InsetBox["a", 
          Offset[{2, 2}, {1.289617846693735, 1.2585367906050124}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.267432513794946, 0.}, 0.021651660966456876], 
         InsetBox["b", 
          Offset[{2, 2}, {1.289084174761403, 0.021651660966456876}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.750877942374288, 0.35268658686585286}, 
          0.021651660966456876], 
         InsetBox["d", 
          Offset[{2, 2}, {0.7725296033407448, 0.37433824783230973}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.0024237385782156506, 1.1590801586547983}, 
          0.021651660966456876], 
         InsetBox["e", 
          Offset[{2, 2}, {0.024075399544672527, 1.180731819621255}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0.7526334082300896, 0.8858178518067188}, 
          0.021651660966456876], 
         InsetBox["f", 
          Offset[{2, 2}, {0.7742850691965465, 0.9074695127731757}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{1.8825935501768454, 0.6184739111164547}, 
          0.021651660966456876], 
         InsetBox["g", 
          Offset[{2, 2}, {1.9042452111433024, 0.6401255720829115}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}, {
         DiskBox[{0., 0.0801538338407205}, 0.021651660966456876], 
         InsetBox["c", 
          Offset[{2, 2}, {0.021651660966456876, 0.10180549480717738}], 
          ImageScaled[{0, 0}],
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None,
  ImagePadding->10]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813087103964255*^9, {
   3.8130871900789623`*^9, 3.813087210999486*^9}, 3.813087868921376*^9, 
   3.8130883610256233`*^9},
 CellLabel->
  "Out[118]=",ExpressionUUID->"466733e8-310a-4efe-82dc-220e957a2639"],

Cell[BoxData["True"], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813087103964255*^9, {
   3.8130871900789623`*^9, 3.813087210999486*^9}, 3.813087868921376*^9, 
   3.8130883610306115`*^9},
 CellLabel->
  "Out[119]=",ExpressionUUID->"6dabcf27-fdd5-4682-b030-038544ecef03"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "a"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "a"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"a", "\[UndirectedEdge]", "b"}], ",", 
     RowBox[{"b", "\[UndirectedEdge]", "d"}], ",", 
     RowBox[{"d", "\[UndirectedEdge]", "g"}], ",", 
     RowBox[{"g", "\[UndirectedEdge]", "f"}], ",", 
     RowBox[{"f", "\[UndirectedEdge]", "c"}], ",", 
     RowBox[{"c", "\[UndirectedEdge]", "e"}], ",", 
     RowBox[{"e", "\[UndirectedEdge]", "a"}]}], "}"}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.8129933033783627`*^9, 3.8129933592356653`*^9, {3.8129934910745273`*^9, 
   3.812993520422681*^9}, 3.812994650943924*^9, 3.81299529416873*^9, {
   3.8129953512608624`*^9, 3.8129953682168846`*^9}, {3.8129961903748894`*^9, 
   3.812996214769841*^9}, {3.812996652820267*^9, 3.8129966552758665`*^9}, 
   3.8129970958102474`*^9, 3.813083371732126*^9, 3.813084135895444*^9, 
   3.8130854287731194`*^9, {3.813085594631634*^9, 3.813085617418677*^9}, 
   3.8130858632264*^9, 3.8130863692637815`*^9, 3.813087103964255*^9, {
   3.8130871900789623`*^9, 3.813087210999486*^9}, 3.813087868921376*^9, 
   3.8130883610336065`*^9},
 CellLabel->
  "Out[120]=",ExpressionUUID->"72ef582d-923e-4859-b4af-9464bc142912"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"0c2a08c3-2df5-420a-9fc3-715007d18a15"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 202, 3, 63, "Input",ExpressionUUID->"5510f48a-d966-4e0a-9acd-733ae3ada581"],
Cell[CellGroupData[{
Cell[785, 27, 2914, 71, 760, "Input",ExpressionUUID->"2a26978e-abd9-45c3-b1f4-73e69cba6f72"],
Cell[3702, 100, 3625, 77, 539, "Output",ExpressionUUID->"8ce9494d-f1b8-4184-831a-12eef8942de4"],
Cell[7330, 179, 1008, 22, 100, "Output",ExpressionUUID->"29094cf1-3cc4-4391-bad4-d3a56f3dc980"],
Cell[8341, 203, 3793, 113, 136, "Output",ExpressionUUID->"1b62ba9b-ee50-42d2-9091-a263bce67383"],
Cell[12137, 318, 6027, 119, 539, "Output",ExpressionUUID->"466733e8-310a-4efe-82dc-220e957a2639"],
Cell[18167, 439, 752, 12, 100, "Output",ExpressionUUID->"6dabcf27-fdd5-4682-b030-038544ecef03"],
Cell[18922, 453, 1983, 41, 263, "Output",ExpressionUUID->"72ef582d-923e-4859-b4af-9464bc142912"]
}, Open  ]]
}
]
*)

